From d49c1ceddc7a71e3090893c7f3eff0fc1b80d89c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Julio=20Gonz=C3=A1lez=20Gil?= <jgonzalez@suse.com>
Date: Mon, 20 Nov 2017 10:38:08 +0100
Subject: [PATCH 2/2] Sources updated

---
 src/quartz-quartz-2.3.0/pom.xml                            |  2 +-
 src/quartz-quartz-2.3.0/quartz-core/pom.xml                | 14 +++++++++++++-
 .../main/java/org/quartz/core/QuartzSchedulerThread.java   |  2 +-
 .../quartz/impl/jdbcjobstore/UpdateLockRowSemaphore.java   |  2 +-
 .../src/main/java/org/quartz/simpl/SimpleThreadPool.java   |  6 +++---
 src/quartz-quartz-2.3.0/quartz-jobs/pom.xml                | 12 ++++++++++++
 .../main/java/org/quartz/jobs/ee/ejb/EJBInvokerJob.java    |  6 ++++--
 7 files changed, 35 insertions(+), 9 deletions(-)

diff --git a/src/quartz-quartz-2.3.0/pom.xml b/src/quartz-quartz-2.3.0/pom.xml
index f1b596d..b9e485d 100755
--- a/src/quartz-quartz-2.3.0/pom.xml
+++ b/src/quartz-quartz-2.3.0/pom.xml
@@ -66,7 +66,7 @@
     <maven.compiler.target>1.7</maven.compiler.target>
 
     <skipDeploy>false</skipDeploy>
-    <skipJavadoc>false</skipJavadoc>
+    <skipJavadoc>true</skipJavadoc>
     <skipCheckstyle>true</skipCheckstyle>
     
     <slf4j.version>1.7.7</slf4j.version>
diff --git a/src/quartz-quartz-2.3.0/quartz-core/pom.xml b/src/quartz-quartz-2.3.0/quartz-core/pom.xml
index ba703cb..ad90294 100644
--- a/src/quartz-quartz-2.3.0/quartz-core/pom.xml
+++ b/src/quartz-quartz-2.3.0/quartz-core/pom.xml
@@ -19,6 +19,11 @@
   <dependencies>
     <!--Compile scope. If you add something to compile scope, you have to do the same thing in packaging/pom.xml -->
     <dependency>
+      <groupId>javax.xml.bind</groupId>
+      <artifactId>jaxb-api</artifactId>
+      <version>2.3.0</version>
+      </dependency>
+    <dependency>
       <groupId>com.mchange</groupId>
       <artifactId>c3p0</artifactId>
       <version>${c3p0.version}</version>
@@ -114,7 +119,14 @@
       <plugin>
         <groupId>org.codehaus.mojo</groupId>
         <artifactId>rmic-maven-plugin</artifactId>
-        <version>1.1</version>
+        <version>1.3</version>
+        <dependencies>
+          <dependency>
+            <groupId>org.glassfish.corba</groupId>
+            <artifactId>rmic</artifactId>
+            <version>4.1.0</version>
+          </dependency>
+        </dependencies>
         <executions>
           <execution>
             <id>rmic-process-classes</id>
diff --git a/src/quartz-quartz-2.3.0/quartz-core/src/main/java/org/quartz/core/QuartzSchedulerThread.java b/src/quartz-quartz-2.3.0/quartz-core/src/main/java/org/quartz/core/QuartzSchedulerThread.java
index aeacd59..a41dc88 100644
--- a/src/quartz-quartz-2.3.0/quartz-core/src/main/java/org/quartz/core/QuartzSchedulerThread.java
+++ b/src/quartz-quartz-2.3.0/quartz-core/src/main/java/org/quartz/core/QuartzSchedulerThread.java
@@ -181,7 +181,7 @@ public class QuartzSchedulerThread extends Thread {
                     try {
                         join();
                         break;
-                    } catch (InterruptedException _) {
+                    } catch (InterruptedException _e) {
                         interrupted = true;
                     }
                 }
diff --git a/src/quartz-quartz-2.3.0/quartz-core/src/main/java/org/quartz/impl/jdbcjobstore/UpdateLockRowSemaphore.java b/src/quartz-quartz-2.3.0/quartz-core/src/main/java/org/quartz/impl/jdbcjobstore/UpdateLockRowSemaphore.java
index 5fbb8ba..bc74640 100644
--- a/src/quartz-quartz-2.3.0/quartz-core/src/main/java/org/quartz/impl/jdbcjobstore/UpdateLockRowSemaphore.java
+++ b/src/quartz-quartz-2.3.0/quartz-core/src/main/java/org/quartz/impl/jdbcjobstore/UpdateLockRowSemaphore.java
@@ -95,7 +95,7 @@ public class UpdateLockRowSemaphore extends DBSemaphore {
                 }
                 try {
                     Thread.sleep(1000L);
-                } catch (InterruptedException _) {
+                } catch (InterruptedException _e) {
                     Thread.currentThread().interrupt();
                 }
             }
diff --git a/src/quartz-quartz-2.3.0/quartz-core/src/main/java/org/quartz/simpl/SimpleThreadPool.java b/src/quartz-quartz-2.3.0/quartz-core/src/main/java/org/quartz/simpl/SimpleThreadPool.java
index b731454..6d336a7 100644
--- a/src/quartz-quartz-2.3.0/quartz-core/src/main/java/org/quartz/simpl/SimpleThreadPool.java
+++ b/src/quartz-quartz-2.3.0/quartz-core/src/main/java/org/quartz/simpl/SimpleThreadPool.java
@@ -353,7 +353,7 @@ public class SimpleThreadPool implements ThreadPool {
                     while(handoffPending) {
                         try {
                             nextRunnableLock.wait(100);
-                        } catch(InterruptedException _) {
+                        } catch(InterruptedException _e) {
                             interrupted = true;
                         }
                     }
@@ -369,7 +369,7 @@ public class SimpleThreadPool implements ThreadPool {
                             // note: with waiting infinite time the
                             // application may appear to 'hang'.
                             nextRunnableLock.wait(2000);
-                        } catch (InterruptedException _) {
+                        } catch (InterruptedException _e) {
                             interrupted = true;
                         }
                     }
@@ -380,7 +380,7 @@ public class SimpleThreadPool implements ThreadPool {
                         try {
                             wt.join();
                             workerThreads.remove();
-                        } catch (InterruptedException _) {
+                        } catch (InterruptedException _e) {
                             interrupted = true;
                         }
                     }
diff --git a/src/quartz-quartz-2.3.0/quartz-jobs/pom.xml b/src/quartz-quartz-2.3.0/quartz-jobs/pom.xml
index 5528b3e..b13da0c 100644
--- a/src/quartz-quartz-2.3.0/quartz-jobs/pom.xml
+++ b/src/quartz-quartz-2.3.0/quartz-jobs/pom.xml
@@ -78,6 +78,18 @@
   <build>
     <plugins>
       <plugin>
+        <groupId>org.codehaus.mojo</groupId>
+        <artifactId>rmic-maven-plugin</artifactId>
+        <version>1.3</version>
+        <dependencies>
+          <dependency>
+            <groupId>org.glassfish.corba</groupId>
+            <artifactId>rmic</artifactId>
+            <version>4.1.0</version>
+          </dependency>
+        </dependencies>
+      </plugin>
+      <plugin>
         <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-javadoc-plugin</artifactId>
         <version>2.9</version>
diff --git a/src/quartz-quartz-2.3.0/quartz-jobs/src/main/java/org/quartz/jobs/ee/ejb/EJBInvokerJob.java b/src/quartz-quartz-2.3.0/quartz-jobs/src/main/java/org/quartz/jobs/ee/ejb/EJBInvokerJob.java
index b038eea..40d4935 100644
--- a/src/quartz-quartz-2.3.0/quartz-jobs/src/main/java/org/quartz/jobs/ee/ejb/EJBInvokerJob.java
+++ b/src/quartz-quartz-2.3.0/quartz-jobs/src/main/java/org/quartz/jobs/ee/ejb/EJBInvokerJob.java
@@ -28,7 +28,9 @@ import javax.ejb.EJBObject;
 import javax.naming.Context;
 import javax.naming.InitialContext;
 import javax.naming.NamingException;
-import javax.rmi.PortableRemoteObject;
+import javax.rmi.*; 
+// this leads to "error: package javax.rmi is not visible" 
+//import javax.rmi.PortableRemoteObject; 
 
 import org.quartz.Job;
 import org.quartz.JobDataMap;
@@ -274,4 +276,4 @@ public class EJBInvokerJob implements Job {
 
         return (params.size() == 0) ? new InitialContext() : new InitialContext(params);
     }    
-}
\ No newline at end of file
+}
-- 
2.13.6

